#pragma once

// 定义餐饮接入命名空间
#define U_NS_BEGIN_CATERING namespace ns_catering{
#define U_NS_END_CATERING }

#define U_DISABLE_COPY(Class) \
    Class(const Class &); \
    Class &operator=(const Class &);

#define U_DISABLE_CONSTRUCT_AND_COPY(Class) \
    Class(); \
    Class(const Class &); \
    Class &operator=(const Class &);

/** 用于宏函数的保护  */
#if !(defined (U_STMT_START) && defined (U_STMT_END))
#define U_STMT_START  do
#define U_STMT_END    while (0)


#endif